#pragma once

template<bool> struct compile_time_assertion;
template<> struct compile_time_assertion<true> { class failure{}; };
#define COMPILE_TIME_ASSERT(condition) \
	typedef compile_time_assertion<condition>::failure COMPILE_TIME_ASSERTION_FAILED


extern void initVoronoi(char *dllpath, FILTER_DLL *fdp);
extern void updateVoronoi(FILTER *fp);
extern BOOL execVoronoi(FILTER *fp,FILTER_PROC_INFO *fpip);
extern void exitVoronoi();

